When editing a regular shape the dragging needs to give a constrain option
Description

In Qgis 3 is this useful set of tools to create regular shapes like squares, rectangles etc

If you want to make a regular shape bigger then when you drag a side out there is no constrain to ensure the shape is maintained.

A modifier key you can press while dragging the side to ensure it can only be dragged in or out, not sideways, would be useful.

History

#1 - 2018-10-14 11:21 PM - Giovanni Manghi
- Category changed from GUI to Digitising

#2 - 2018-10-23 11:34 AM - Loic BARTOLETTI

- Status changed from Open to Feedback

If I understand correctly, you want the equivalent of a resize tool?

| can add it into https://github.com/qgis/QGIS-Enhancement-Proposals/issues/106

#3 - 2018-11-22 07:17 AM - Patrick Dunford

I'll try to explain more as this comes up a lot when | use the new geometry tools to draw rectangles, circles and so on. Essentially | want to be able to resize

while maintaining the existing geometry. At the moment if | want to resize that rectangle using the node tool, there is no way to constrain the direction of the

dragging of a corner so you are only dragging in one direction at a time.

That is the comment about how to resize a rectangle. You can imagine it would be a lot harder to resize a circle one node at a time with lots of nodes, to say

nothing of maintaining a perfect circular shape.

#4 - 2018-11-22 07:22 AM - Patrick Dunford

| just added this to the QEP

#5 - 2019-01-16 08:03 AM - Loic BARTOLETTI
- Status changed from Feedback to Open
